<?php
session_start();
header("Expires: Mon, 01 Jan 1970 00:00:00 GMT");
header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT");
header("Cache-Control: no-store, no-cache, must-revalidate");
header("Cache-Control: post-check=0, pre-check=0", false);
header("Pragma: no-cache");

	if(!isset($_GET['page']) || $_GET['page'] == '')
	{
		if(isset($_COOKIE['USER']))
		{
			if($_COOKIE['USER']['TYPE'] == 'Admin')
			{
				$page = 'admin_index.php';
			}
			else if($_COOKIE['USER']['TYPE'] == 'Student')
			{
				$page = 'student_index.php';
			}
			else if($_COOKIE['USER']['TYPE'] == 'Accounts')
			{
				$page = 'accounts_index.php';
			}
			else if($_COOKIE['USER']['TYPE'] == 'Librarian')
			{
				$page = 'librarian_index.php';
			}
			else if($_COOKIE['USER']['TYPE'] == 'Registrar')
			{
				$page = 'registrar_index.php';
			}
			else
			{
				$page = 'content.php';
			}
		}
		else
		{
			$page = 'content.php';
		}
	}
	else
		$page = $_GET['page'] . '.php';

//Check for any kind of Hacking Attempt!!!
	if(isset($_COOKIE['USER']) && $_COOKIE['USER']['TYPE'] != 'Admin' && substr($page,0,5) == "admin")
	{
		header('Location: index.php');
	}

	if(isset($_COOKIE['USER']) && $_COOKIE['USER']['TYPE'] != 'Student' && substr($page,0,7) == "student")
	{
		header('Location: index.php');
	}

	if(isset($_COOKIE['USER']) && $_COOKIE['USER']['TYPE'] != 'Accounts' && substr($page,0,8) == "accounts")
	{
		header('Location: index.php');
	}

	if(isset($_COOKIE['USER']) && $_COOKIE['USER']['TYPE'] != 'Librarian' && substr($page,0,9) == "librarian")
	{
		header('Location: index.php');
	}

	if(isset($_COOKIE['USER']) && $_COOKIE['USER']['TYPE'] != 'Registrar' && substr($page,0,9) == "registrar")
	{
		header('Location: index.php');
	}

	if($page == 'admin_add_student_step_5.php' || $page == 'admin_add_student_step_6.php' || $page == 'admin_edit_course.php' || $page == 'admin_edit_religion.php' || $page == 'admin_edit_program.php' || $page == 'admin_edit_nationality.php' || $page == 'admin_edit_semester_name.php' || $page == 'admin_edit_employee_info.php' || $page == 'admin_edit_s_c_degree.php' || $page == 'admin_edit_s_board.php' || $page == 'admin_edit_s_sub.php' || $page == 'admin_del_course.php' || $page == 'admin_del_employee.php' || $page == 'admin_edit_semester.php' || $page == 'admin_del_semester.php' || $page == 'admin_add_course_semester.php' || $page == 'admin_del_course_semester.php' || $page == 'admin_fee_setup.php' || $page == 'admin_change_student_program.php' || $page == 'student_add_course_semester.php' || $page == 'accounts_receive_money.php'  || $page == 'registrar_add_student_result.php' || $page == 'admin_reset_password.php' || $page == 'librarian_edit_book.php' || $page == 'librarian_delete_book.php' || $page == 'librarian_free_book_issue.php' || $page == 'librarian_sell_book.php' || $page == 'librarian_book_publisher_edit.php' || $page == 'librarian_book_publisher_del.php' || $page == 'librarian_issue_book.php' || $page == 'librarian_receive_book.php' || $page == 'accounts_student_result.php' || $page == 'admin_edit_batch.php')
	{
		define('USE_AJAX', true);
	}

	if($page == 'admin_add_employee.php' || $page == 'admin_add_student_step_2.php' || $page == 'admin_add_student_step_6.php' || $page == 'admin_edit_semester.php' || $page == 'admin_add_semester.php' || $page == 'accounts_daily_transaction_report.php' || $page == 'accounts_expenses_report.php' || $page == 'accounts_monthly_transaction_report.php' || $page == 'accounts_receive_money.php' || $page == 'accounts_receive_money_other.php' || $page == 'accounts_payment.php' || $page == 'accounts_bank.php' || $page == 'accounts_bank_account_report.php')
	{
		define('USE_CALENDAR', true);
	}
	
	include('top_left.php');
	include($page);
	include('right_bottom.php');
?>
